petsc-3.4.2 2013-07-02

# SNESSetGS

Sets the user nonlinear Gauss-Seidel routine for use with composed nonlinear solvers.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetGS(SNES snes,PetscErrorCode (*SNESGSFunction)(SNES,Vec,Vec,void*),void *ctx)

### Input Parameters

| snes | - the SNES context
| SNESGSFunction | - function evaluation routine
| ctx | - [optional] user-defined context for private data for the smoother evaluation routine (may be NULL)

### Notes

The GS routines are used by the composed nonlinear solver to generate a problem appropriate update to the solution, particularly FAS.

### Keywords

SNES, nonlinear, set, Gauss-Seidel

### See Also

SNESGetFunction(), SNESComputeGS()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex19.c.html